summaryrefslogtreecommitdiff
path: root/packaging/ng/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/ng/build.sh')
-rwxr-xr-xpackaging/ng/build.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/packaging/ng/build.sh b/packaging/ng/build.sh
new file mode 100755
index 0000000..aca17e0
--- /dev/null
+++ b/packaging/ng/build.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+# Build debian packages.
+
+set -eu
+
+DISTRO=ubuntu
+DISTRO_VERNAME=kinetic
+LABEL=$DISTRO-$DISTRO_VERNAME
+
+IMAGE_TAG=taler-packaging-$LABEL:latest
+DOCKERFILE=Dockerfile.$LABEL
+PKGDIR=packages/$LABEL
+
+echo "Building $IMAGE_TAG from $DOCKERFILE"
+
+# Build the base image. Usually fast because it's cached.
+docker build -t $IMAGE_TAG -f $DOCKERFILE .
+
+mkdir -p $PKGDIR
+
+# echo docker run -it --mount type=bind,source="$(pwd)"/buildscripts,target=/buildscripts,readonly --mount type=bind,source="$(pwd)"/$PKGDIR,target=/pkgdir $IMAGE_TAG /bin/bash
+docker run -it --entrypoint=/bin/bash --mount type=bind,source="$(pwd)"/buildscripts,target=/buildscripts,readonly --mount type=bind,source="$(pwd)"/$PKGDIR,target=/pkgdir $IMAGE_TAG /buildscripts/build-gnunet.sh